LibreOffice: TextPageStyle Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
TextPageStyle Service Referencepublished

represents a page style for a text document. More...

`import"TextPageStyle.idl";`

## Public Attributes
boolean | RegisterModeActive
| determines whether the register mode is active on that page. More...
string | RegisterParagraphStyle
| contains the name of the paragraph style that is used as reference of the register mode. More...
com::sun::star::text::XTextColumns | TextColumns
| contains the column settings of the page. More...
com::sun::star::text::XText | HeaderText
| contains the interface to the text of the header. More...
com::sun::star::text::XText | HeaderTextLeft
| contains the interface to the text of the header of left pages. More...
com::sun::star::text::XText | HeaderTextRight
| contains the interface to the text of the header of right pages. More...
com::sun::star::text::XText | HeaderTextFirst
| contains the interface to the text of the header of first pages. More...
com::sun::star::text::XText | FooterText
| contains the interface to the text of the footer. More...
com::sun::star::text::XText | FooterTextLeft
| contains the interface to the text of the footer of a left page. More...
com::sun::star::text::XText | FooterTextRight
| contains the interface to the text of the footer of a right page. More...
com::sun::star::text::XText | FooterTextFirst
| contains the interface to the text of the footer of a first page. More...
long | FootnoteHeight
| contains the maximum height of the footnote area (in 1/100 mm). More...
short | FootnoteLineWeight
| contains the weight of the separator line between the text and the footnote area (in 1/100 mm). More...
com::sun::star::util::Color | FootnoteLineColor
| contains the color of the separator line between the text and the footnote area. More...
byte | FootnoteLineRelativeWidth
| contains the relative width of the separator line between the text and the footnote area (in percent). More...
short | FootnoteLineAdjust
| contains the adjustment of the separator line between the text and the footnote area. More...
long | FootnoteLineTextDistance
| contains the distance between the text and the separator line between the text and the footnote area (in 1/100 mm). More...
long | FootnoteLineDistance
| contains the distance between the footnote area and the separator line between the text and the footnote area (in 1/100 mm). More...

## Detailed Description

represents a page style for a text document.

This service extends the service com::sun::star::style::PageStyle with specific properties for text documents.

## Member Data Documentation

## ◆ FooterText

com::sun::star::text::XText FooterText
| property

contains the interface to the text of the footer.

See also
  com::sun::star::text::Text

## ◆ FooterTextFirst

com::sun::star::text::XText FooterTextFirst
| optionalproperty

contains the interface to the text of the footer of a first page.

See also
  com::sun::star::text::Text

Since
  LibreOffice 4.0

## ◆ FooterTextLeft

com::sun::star::text::XText FooterTextLeft
| property

contains the interface to the text of the footer of a left page.

See also
  com::sun::star::text::Text

## ◆ FooterTextRight

com::sun::star::text::XText FooterTextRight
| property

contains the interface to the text of the footer of a right page.

See also
  com::sun::star::text::Text

## ◆ FootnoteHeight

long FootnoteHeight
| property

contains the maximum height of the footnote area (in 1/100 mm).

If set to zero, the height of the current page is used as limit.

## ◆ FootnoteLineAdjust

short FootnoteLineAdjust
| property

contains the adjustment of the separator line between the text and the footnote area.

See also
  com::sun::star::text::HorizontalAdjust

## ◆ FootnoteLineColor

com::sun::star::util::Color FootnoteLineColor
| property

contains the color of the separator line between the text and the footnote area.

## ◆ FootnoteLineDistance

long FootnoteLineDistance
| property

contains the distance between the footnote area and the separator line between the text and the footnote area (in 1/100 mm).

## ◆ FootnoteLineRelativeWidth

byte FootnoteLineRelativeWidth
| property

contains the relative width of the separator line between the text and the footnote area (in percent).

## ◆ FootnoteLineTextDistance

long FootnoteLineTextDistance
| property

contains the distance between the text and the separator line between the text and the footnote area (in 1/100 mm).

## ◆ FootnoteLineWeight

short FootnoteLineWeight
| property

contains the weight of the separator line between the text and the footnote area (in 1/100 mm).

## ◆ HeaderText

com::sun::star::text::XText HeaderText
| property

contains the interface to the text of the header.

See also
  com::sun::star::text::Text

## ◆ HeaderTextFirst

com::sun::star::text::XText HeaderTextFirst
| optionalproperty

contains the interface to the text of the header of first pages.

See also
  com::sun::star::text::Text

Since
  LibreOffice 4.0

## ◆ HeaderTextLeft

com::sun::star::text::XText HeaderTextLeft
| property

contains the interface to the text of the header of left pages.

See also
  com::sun::star::text::Text

## ◆ HeaderTextRight

com::sun::star::text::XText HeaderTextRight
| property

contains the interface to the text of the header of right pages.

See also
  com::sun::star::text::Text

## ◆ RegisterModeActive

boolean RegisterModeActive
| property

determines whether the register mode is active on that page.

## ◆ RegisterParagraphStyle

string RegisterParagraphStyle
| property

contains the name of the paragraph style that is used as reference of the register mode.

## ◆ TextColumns

com::sun::star::text::XTextColumns TextColumns
| property

contains the column settings of the page.

The documentation for this service was generated from the following file:

- com/sun/star/text/TextPageStyle.idl